Skip to main content
GET
/
api
/
v1
/
llm
/
evals
/
schedules
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.evals.list_schedules(limit=20)

    # Handle response
    print(res)
{
  "object": "list",
  "data": [
    {
      "id": "eval_sched_aa87e2b1112a455b8deabed784372198",
      "object": "eval.schedule",
      "name": "Nightly MMLU regression",
      "description": null,
      "suite_id": "eval_suite_aa87e2b1112a455b8deabed784372198",
      "suite_version": null,
      "cron": "0 3 * * *",
      "interval_seconds": null,
      "timezone": "US/Pacific",
      "overlap_policy": "skip",
      "enabled": true,
      "webhook_url": "https://example.com/hooks/evals",
      "webhook_configured": true,
      "run": {
        "models": [
          "meetkai/model-a"
        ],
        "generation": {}
      },
      "metadata": {
        "team": "eval-ops"
      },
      "last_run_id": null,
      "last_run_at": null,
      "last_run_status": null,
      "next_run_at": 1751328000,
      "created_at": 1751241600,
      "updated_at": 1751241600
    }
  ],
  "first_id": "eval_sched_aa87e2b1112a455b8deabed784372198",
  "last_id": "eval_sched_aa87e2b1112a455b8deabed784372198",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

after
string
limit
integer
default:20
Required range: 1 <= x <= 100
suite_id
string
enabled
string

Response

200 - application/json

OK

object
any
required
data
object[]
required
has_more
boolean
required
first_id
string
last_id
string